GDAL Rasterize: allow the selection of a loaded layer in Processing
Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20667

Description

GDAL Rasterize in Processing requires the loading of an external file. It would be good if it would be possible to select one of the loaded

layers.

Associated revisions

Revision 33d973f5 - 2015-04-09 07:04 PM - Alexander Bruy

Merge pull request #1980 from NaturalGIS/gdal_rasterize_to_write_over_existing_rasters

[processing] add gdal_rasterize tool to easily allow write over existing raster (fix #12523)

History

#1 - 2015-04-07 01:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

"GDAL Rasterize in Processing requires the loading of an external file."

rasterizing over an existing raster layer is an option and not the default. The default is to have the vector be rasterized in a new raster layer. If the "writes

values inside an existing raster layer" is chooses then the user needs just to point the output layer to an existing raster (a choice that has to be made

anyway if the user do not want to get a temporary result layer).

#2 - 2015-04-07 11:35 PM - Paolo Cavallini

- Resolution deleted (invalid)

- Status changed from Closed to Reopened

Use case: I create a blank raster (e.g. with one raster calc) that is loaded automatically. Now if I want to use it as an output raster for rasterization I have to

search for it (in /tmp/, with non descriptive names).

It would be much easier and faster if the command would allow me to use the loaded blank raster.

#3 - 2015-04-09 02:28 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Reopened to In Progress
fixed with https://github.com/qgis/QGIS/pull/1980

#4 - 2015-04-09 05:36 AM - Paolo Cavallini

- Status changed from In Progress to Feedback

Should this be closed?

#5 - 2015-04-09 05:41 AM - Giovanni Manghi

the PR is open.

#6 - 2015-04-09 10:05 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
